# Language: Thai
---
outlines:
    default:       { width: 37.142,  height: 52 }
    change-view:   { width: 37.142,  height: 52 }
    change-view-2: { width: 74.284,  height: 52 }
    fill:          { width: 74.284,  height: 52 }
    large:         { width: 46.427,  height: 52 }
    placeholder:   { width: 37.142,  height: 52 }
    spaceline:     { width: 204.282, height: 52 }
    special:       { width: 37.142,  height: 52 }
    special-2:     { width: 46.427,  height: 52 }
    special-3:     { width: 74.284,  height: 52 }

views:
    base:
        - "ๅ / _ ภ ถ ุ ึ ค ต จ ข ช"
        - "ๆ ไ ำ พ ะ ั ี ร น ย บ ล"
        - "ฟ ห ก ด เ ้ ่ า ส ว ง ฃ"
        - "show_upper ผ ป แ อ ิ ื ท ม ใ ฝ BackSpace"
        - "show_numbers preferences space .-large Return"
    upper:
        - "+ ๑ ๒ ๓ ๔ ู ฿ ๕ ๖ ๗ ๘ ๙"
        - "๐ \" ฎ ฑ ธ ํ ๊ ณ ฯ ญ ฐ ,"
        - "ฤ ฆ ฏ โ ฌ ็ ๋ ษ ศ ซ . ฅ"
        - "show_upper ( ) ฉ ฮ ฺ ์ ? ฒ ฬ ฦ BackSpace"
        - "show_numbers preferences space .-large Return"
    numbers:
        - "-- -- -- -- -- -- -- -- -- -- ² ³"
        - "1 2 3 4 5 6 7 8 9 0"
        - "@ # $ % & - _ + ( )"
        - "show_symbols , \" ' : ; ! ? BackSpace"
        - "show_letters preferences space .-large Return"
    symbols:
        - "-- -- -- -- -- -- -- -- -- -- ² ³"
        - "© ® £ € ¥ ^ ° * { }"
        - "~ ` | · √ π τ ÷ × ¶"
        - "show_numbers_from_symbols \\ / < > = [ ] BackSpace"
        - "show_letters preferences space .-large Return"

buttons:
    show_upper:
        action:
            locking:
                lock_view: "upper"
                unlock_view: "base"
        outline: "change-view"
        icon: "key-shift"
    BackSpace:
        outline: "special"
        icon: "edit-clear-symbolic"
        action: "erase"
    preferences:
        action: "show_prefs"
        outline: "special-2"
        icon: "keyboard-mode-symbolic"
    show_numbers:
        action:
            set_view: "numbers"
        outline: "change-view-2"
        label: "123"
    show_numbers_from_symbols:
        action:
            set_view: "numbers"
        outline: "change-view-2"
        label: "123"
    show_letters:
        action:
            set_view: "base"
        outline: "change-view-2"
        label: "กขค"
    show_symbols:
        action:
            set_view: "symbols"
        outline: "change-view-2"
        label: "*/="
    space:
        outline: "spaceline"
        text: " "
    Return:
        outline: "special-3"
        icon: "key-enter"
        keysym: "Return"
    --:
        outline: "placeholder"
        text: ""
    .-large:
        outline: "large"
        text: "."
    5:
        outline: "fill"
    6:
        outline: "fill"
    "&":
        outline: "fill"
    -:
        outline: "fill"
    "'":
        outline: "fill"
    ::
        outline: "fill"
    ¥:
        outline: "fill"
    ^:
        outline: "fill"
    √:
        outline: "fill"
    π:
        outline: "fill"
    <:
        outline: "fill"
    ">":
        outline: "fill"
